Debian Bug report logs - #363963
RM: postgresql-8.0 -- RoM; superseded by postgresql-8.1

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Pitt <mpitt@debian.org>

Date: Thu, 20 Apr 2006 20:03:08 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#363963; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian BTS Submit <submit@bugs.debian.org>
Cc: Peter Eisentraut <peter_e@gmx.net>
Subject: Please remove postgresql-8.0
Date: Thu, 20 Apr 2006 21:42:08 +0200
[Message part 1 (text/plain, inline)]
Package: ftp.debian.org

Hi,

postgresql-8.1 has been available in sid and testing for a fair while
now, and postgresql-common has advocated 8.0 as deprecated for some
months now, too. In order to reduce versionitis, it's time now for 8.0
to be removed from the archive.

mpitt@merkel:~$ /home/jeroen/kat/melanie -n -R postgresql-8.0
[...]
Checking reverse dependencies...
** postgresql-8.0-pljava-gcj has an unsatisfied dependency on alpha: postgresql-8.0
** postgresql-8.0-pljava-gcj has an unsatisfied dependency on arm: postgresql-8.0
** postgresql-8.0-pljava-gcj has an unsatisfied dependency on hppa: postgresql-8.0
** postgresql-8.0-pljava-gcj has an unsatisfied dependency on i386: postgresql-8.0
** postgresql-8.0-pljava-gcj has an unsatisfied dependency on ia64: postgresql-8.0
** postgresql-8.0-pljava-gcj has an unsatisfied dependency on m68k: postgresql-8.0
** postgresql-8.0-pljava-gcj has an unsatisfied dependency on powerpc: postgresql-8.0
** postgresql-8.0-pljava-gcj has an unsatisfied dependency on s390: postgresql-8.0

So the only bit that still needs 8.0 is pljava; there is a new
upstream version which allegedly works with 8.1, but I was told that
it doesn't build with our current gcj. However, I spoke to Peter
(pljava maintainer), and he agrees to removing 8.0, and temporarily
breaking pljava.

Just for the record, we need to keep 7.4 for upgrades from sarge, so
we need to have at least two major versions around in the future now.
But three is definitively too much.

Thank you,

Martin

-- 
Martin Pitt        http://www.piware.de
Ubuntu Developer   http://www.ubuntu.com
Debian Developer   http://www.debian.org

In a world without walls and fences, who needs Windows and Gates?
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 363963-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 363963-close@bugs.debian.org
Cc: postgresql-8.0@packages.debian.org, postgresql-8.0@packages.qa.debian.org
Subject: Bug#363963: fixed
Date: Mon, 01 May 2006 11:33:35 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

postgresql-8.0 |    8.0.4-4 | mips, mipsel
postgresql-8.0 |    8.0.7-1 | arm
postgresql-8.0 |    8.0.7-2 | source, alpha, amd64, hppa, i386, ia64, m68k, powerpc, s390, sparc
postgresql-client-8.0 |    8.0.4-4 | mips, mipsel
postgresql-client-8.0 |    8.0.7-1 | arm
postgresql-client-8.0 |    8.0.7-2 | alpha, amd64, hppa, i386, ia64, m68k, powerpc, s390, sparc
postgresql-contrib-8.0 |    8.0.4-4 | mips, mipsel
postgresql-contrib-8.0 |    8.0.7-1 | arm
postgresql-contrib-8.0 |    8.0.7-2 | alpha, amd64, hppa, i386, ia64, m68k, powerpc, s390, sparc
postgresql-doc-8.0 |    8.0.7-2 | all
postgresql-plperl-8.0 |    8.0.4-4 | mips, mipsel
postgresql-plperl-8.0 |    8.0.7-1 | arm
postgresql-plperl-8.0 |    8.0.7-2 | alpha, amd64, hppa, i386, ia64, m68k, powerpc, s390, sparc
postgresql-plpython-8.0 |    8.0.4-4 | mips, mipsel
postgresql-plpython-8.0 |    8.0.7-1 | arm
postgresql-plpython-8.0 |    8.0.7-2 | alpha, amd64, hppa, i386, ia64, m68k, powerpc, s390, sparc
postgresql-pltcl-8.0 |    8.0.4-4 | mips, mipsel
postgresql-pltcl-8.0 |    8.0.7-1 | arm
postgresql-pltcl-8.0 |    8.0.7-2 | alpha, amd64, hppa, i386, ia64, m68k, powerpc, s390, sparc
postgresql-server-dev-8.0 |    8.0.4-4 | mips, mipsel
postgresql-server-dev-8.0 |    8.0.7-1 | arm
postgresql-server-dev-8.0 |    8.0.7-2 | alpha, amd64, hppa, i386, ia64, m68k, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 363963@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 12:35:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:04:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.